package com.ssj.bean.kmt.kmt.domain;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


@Entity
@Table(name = "kmt_arrange_allot")
public class KmtArrangeAllot  extends BaseEntity {

	private static final long serialVersionUID = 1L;

    private String arrangeDetailId;
    
    private String teacherId;
    
    private Date arrangeDate;
    
    private Integer status;
        
    private Date createTime;

    private Integer attendType; //是否有效出勤 0-无效 1-有效

	public String getArrangeDetailId() {
		return arrangeDetailId;
	}

	public void setArrangeDetailId(String arrangeDetailId) {
		this.arrangeDetailId = arrangeDetailId;
	}

	public String getTeacherId() {
		return teacherId;
	}

	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	public Date getArrangeDate() {
		return arrangeDate;
	}

	public void setArrangeDate(Date arrangeDate) {
		this.arrangeDate = arrangeDate;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getAttendType() {
		return attendType;
	}

	public void setAttendType(Integer attendType) {
		this.attendType = attendType;
	}
}
